1 Quick Installation Guide

A “Quick” installation procedure is provided for first-time users. It allows to install the newest version of IQR Tools and supporting software by executing some few lines in R.

  • Required R Version: >=3.4.1

1.1 Windows

Start R, preferrably with RStudio and execute:

source("https://iqrtools.intiquan.com/install.R")
install_Rtools()

At this point, you need to restart R and RStudio and continue below:

source("https://iqrtools.intiquan.com/install.R")

# Install newest version of IQR Tools
installVersion.IQRtools(forceDependencies=TRUE) 

# Install IQReport, used by IQR Tools to generate Word reports
install_IQReport()

# Install IQRsbml, used by IQR Tools to import SBML models
install_IQRsbml()

Test your installation by executing the following:

library(IQRtools)

test_IQRtools()  # Should result in a data.frame

test_IQReport()  # Should result in a Word document

test_IQRsbml()   # Should result in a plot

If at any point there is a problem, there is a big chance that your R installation was not anymore a good one. Please install a clean R version and run the above again.

1.2 Linux specific: If you use Microsoft Open R

There is an issue in Microsoft Open R on Linux that can lead to R not being able to access https webpages. It is documented here.

So, if you use Microsoft Open R on Linux machines, the folllwing command needs to be executed in R prior to continuing with the installation of IQR Tools.

Sys.setenv(CURL_CA_BUNDLE = file.path(Sys.getenv("R_HOME"), "lib/microsoft-r-cacert.pem"))

1.3 Linux (not REDHAT6 and CENTOS6) / Mac

Start R, preferrably with RStudio and execute:

source("https://iqrtools.intiquan.com/install.R")

# Install newest version of IQR Tools
installVersion.IQRtools(forceDependencies=TRUE) 

Test your installation by executing the following:

library(IQRtools)

test_IQRtools()  # Should result in a data.frame

1.4 Linux (REDHAT6 and CENTOS6)

Start R, preferrably with RStudio and execute:

source("https://iqrtools.intiquan.com/install.R")

# Install newest version of IQR Tools
installVersion.IQRtools(centosRedhat6=TRUE,forceDependencies=TRUE)

Test your installation by executing the following:

library(IQRtools)

test_IQRtools()  # Should result in a data.frame

1.5 NONMEM and MONOLIX

1.5.1 Windows

In order to allow a quick installation, MONOLIX and NONMEM installers for Windows are provided as download from the following links:

1.5.1.1 MONOLIX installation

  • Download installer from link above
  • Execute installer (keep all on default settings)
  • Enter the MONOLIX activation key
  • If you do not have a MONOLIX activation key, please contact Lixoft

1.5.1.2 NONMEM installation

  • Download installer from link above
  • Execute installer (keep all on default settings). Password for installation is “zorx7bqRT”
  • Answer the question about installation of “MPICH2” with “y” and press “enter”
  • Copy a valid license file to the folder C:\nm74g64\license. You will need to check with your manager if you can obtain a NONMEM license file or order one from ICON.

1.5.2 Unix

Ask your system administrator to help you setting up the interface to IQR Tools.

library(IQRtools)

# The following command opens the setup options for IQR Tools where the needed information for NONMEM and MONOLIX interfacing need to be provided
setup_IQRtools()